Skip to content

Suggest Values.

POST
/api/data-intelligence/namespaces/{namespace}/suggest-values
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/example/suggest-values \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "field_path": "example", "match_value": "example", "namespace": "example", "request_body": { "type_url": "example", "value": "example" } }'

Returns suggested values for the specified field in the given Create/Replace/Custom request.

Examples of this operation.

namespace
required
string

Namespace Namespace in which the suggestions are scoped.

Media typeapplication/json
SuggestValuesReq

Request body of SuggestValues request.

object
field_path
field_path

JSON path of the field for which the suggested values are being requested.

string
<= 1024 characters
match_value
match_value

A substring that must be present in either the value or description of each SuggestedItem in the response.

string
<= 256 characters
namespace
namespace

Namespace in which the suggestions are scoped.

string
>= 6 characters <= 1024 characters
request_body
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
Examplegenerated
{
"field_path": "example",
"match_value": "example",
"namespace": "example",
"request_body": {
"type_url": "example",
"value": "example"
}
}

A successful response.

Media typeapplication/json
SuggestValuesResp

Response body of SuggestValues request.

object
items
item_lists

List of suggested items.

Array<object>
SuggestedItem

A tuple with a suggested value and it’s description.

object
description
description

Optional description for the suggested value.

string
>= 21 characters <= 1024 characters
ref_value
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
str_value
str_value

Exclusive with [ref_value]

string
<= 1024 characters
title
title

Optional title to be displayed instead of the actual value. Used when pure value doesn’t contain all the needed information to be displayed, or when display titles should be customized.

string
>= 6 characters <= 1024 characters
value
value

Suggested value for the field. Should use value_choice.str_value instead.

string
>= 3 characters <= 1024 characters
Examplegenerated
{
"items": [
{
"description": "example",
"ref_value": {
"name": "example",
"namespace": "example"
},
"str_value": "example",
"title": "example",
"value": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example